import * as async from "../models/async/model-options.interface";
import * as sync from "../models/sync/model-options.interface";
export declare class GlobalConfig {
    autoUnsubscribe: false | Function;
    syncAutoIncrementHandler?: (options: sync.ModelOptionsInterface) => string;
    asyncAutoIncrementHandler?: (options: async.ModelOptionsInterface) => Promise<string>;
    setAutoUnsubscribe(val: this['autoUnsubscribe']): void;
    setSyncAutoIncrementHandler(handler: NonNullable<this['syncAutoIncrementHandler']>): void;
    setAsyncAutoIncrementHandler(handler: NonNullable<this['asyncAutoIncrementHandler']>): void;
}
