export function batch$(subscibeFuncArr, subClosFunc, config) {
    const unsubscribeFuncArr = subscibeFuncArr.map((subscribeFunc) => subscribeFunc(subClosFunc, config));
    return () => {
        unsubscribeFuncArr.forEach((unsubscribe) => unsubscribe());
    };
}
//# sourceMappingURL=batch$.func.js.map